#
# Conditional build:
%bcond_with	gtk3	# use GTK+ 3.x instead of GTK+ 2.x

%define		libfm_ver	1.3.2
Summary:	File manager for GTK
Summary(pl.UTF-8):	Zarządca plików dla GTK
Name:		pcmanfm
Version:	1.3.2
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	https://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.xz
# Source0-md5:	ef7c4417d2697ef138d175db7aeae15a
URL:		http://pcmanfm.sourceforge.net/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.31
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.18.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.8}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libfm-devel >= %{libfm_ver}
BuildRequires:	libfm-gtk-devel >= %{libfm_ver}
BuildRequires:	libtool
BuildRequires:	menu-cache-devel >= 0.3.2
BuildRequires:	pango-devel >= 1:1.20.0
BuildRequires:	pkgconfig
%if %{with gtk3}
BuildRequires:	pkgconfig(libfm-gtk3) >= %{libfm_ver}
%else
BuildRequires:	pkgconfig(libfm-gtk) >= %{libfm_ver}
%endif
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
Requires:	glib2 >= 1:2.18.0
Requires:	libfm >= %{libfm_ver}
Requires:	pango >= 1:1.20.0
Suggests:	gnome-icon-theme
Suggests:	lxde-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pcmanfm is a fast and lightweight file manager which features tabbed
browsing and user-friendly interface.

%description -l pl.UTF-8
pcmanfm jest szybkim i lekkim zarządcą plików z przyjaznym interfejsem
użytkownika, umożliwiającym przeglądanie katalogów w zakładkach.

%package devel
Summary:	Header file for pcmanfm modules
Summary(pl.UTF-8):	Plik nagłówkowy dla modułów pcmanfm
Group:		Development/Libraries
Requires:	libfm-devel >= %{libfm_ver}

%description devel
Header file for pcmanfm modules.

%description devel -l pl.UTF-8
Plik nagłówkowy dla modułów pcmanfm.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_gtk3:--with-gtk=3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# see lxde-common
install -d $RPM_BUILD_ROOT/etc/xdg/pcmanfm/LXDE
# for modules (PACKAGE_MODULES_DIR)
install -d $RPM_BUILD_ROOT%{_libdir}/pcmanfm

%{__mv} $RPM_BUILD_ROOT%{_localedir}/{tt_RU,tt}


%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO
%dir /etc/xdg/pcmanfm
%dir /etc/xdg/pcmanfm/default
%dir /etc/xdg/pcmanfm/LXDE
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/pcmanfm/default/pcmanfm.conf
%attr(755,root,root) %{_bindir}/pcmanfm
%dir %{_libdir}/pcmanfm
%{_mandir}/man1/pcmanfm.1*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ui
%{_desktopdir}/pcmanfm.desktop
%{_desktopdir}/pcmanfm-desktop-pref.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/pcmanfm-modules.h
%changelog
* Wed Dec 27 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pcmanfm.git;a=log;h=master

* Wed Dec 27 2023 Jan Rękorajski <baggins@pld-linux.org> 6093271
- Release 3 (by relup.sh)

* Sat May 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 634a4f0
- added dir and -devel for modules, gtk3 bcond, completed dependencies; release 2

* Wed Nov 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bacb9f8
- up to 1.3.2

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 348d3f3
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7d392fb
- updated gettext BR

* Sun Jul 06 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 81abe01
- up to 1.2.1

* Sun Mar 02 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a3d2d3f
- up 1.2.0

* Sat Mar 30 2013 Elan Ruusamäe <glen@delfi.ee> 8926551
- hide desktop preferences also in MATE

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> 55f0988
- cleanup BR

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> 1e78ddc
- outdated from 5ccd440

* Fri Mar 29 2013 Elan Ruusamäe <glen@delfi.ee> 5ccd440
- up to 1.1.0

* Mon Jun 11 2012 witekfl <witekfl@pld-linux.org> d51d0b5
- AFAIK hal-devel is neither required nor used by pcmanfm
- rel 2

* Sat Oct 29 2011 Elan Ruusamäe <glen@pld-linux.org> 61b1448
- up to 0.9.10

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 92637dd
- works fine with lxde icon theme only

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 775bc6e
- fix locales, package config dirs and file; rel 2

* Sun Aug 14 2011 Elan Ruusamäe <glen@pld-linux.org> 332f94d
- up to 0.9.9

* Tue Apr 26 2011 Elan Ruusamäe <glen@pld-linux.org> 23c0410
- use libfm git snapshot to resolve several issues; rel 2

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> 8541250
- drop -Werror and -Wall flags

* Mon Dec 06 2010 lisu <lisu@pld-linux.org> 56c8c30
- up to 0.9.8
- BR: menu-cache-devel >= 0.3.2
- minimal version of libfm-devel is 0.1.14

* Sat Jul 31 2010 witekfl <witekfl@pld-linux.org> 0a7e6ae
- up to 0.9.7
- I can't see icons, don't know why

